summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-asy
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2010-04-20 01:06:41 +0000
committerKarl Berry <karl@freefriends.org>2010-04-20 01:06:41 +0000
commit1ce6e79fe22eae8c6aa8f77a518edda7c88c5c63 (patch)
tree2f6a2912e2f3c2191e6a9b3d07261411371415d7 /Master/tlpkg/bin/tl-update-asy
parent4abd8ea71266f45cb7d018c0398ee3609479114e (diff)
add tl-update-asy in case I get hit by a truck
git-svn-id: svn://tug.org/texlive/trunk@17936 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-asy')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-asy105
1 files changed, 105 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/tl-update-asy b/Master/tlpkg/bin/tl-update-asy
new file mode 100755
index 00000000000..dd0b173005b
--- /dev/null
+++ b/Master/tlpkg/bin/tl-update-asy
@@ -0,0 +1,105 @@
+#!/bin/sh
+# $Id$
+# Public domain. Originally written 2008, Karl Berry.
+# Attempt at updating asymptote.
+#
+# Do not run this script. It won't work. It is necessary to run the
+# commands one at a time and think about what is being done. It's
+# checked in so that when I get hit by a truck, at least the procedure I
+# used will be there as a starting point.
+#
+# The script uses various paths and convenience variables that I define
+# for myself; feel free to peruse tug.org:~karl/.bash_login,
+# --karl
+
+test "x$1" = x--build || exit 1
+
+ver=1.93
+
+#
+if false && $update_sources_from_ctan; then
+ # this part is about copying the sources from CTAN to TL.
+ cd $B/source/utils/
+ edit README for asymptote$ver
+ (cd asymptote && make distclean) # be sure no dregs
+ \cp -arf /home/ftp/tex-archive/graphics/asymptote/ .
+
+ cd asymptote
+ # get list of new files to add:
+ svn status | sed -n 's/^\?//p | fgrep -v binaries'
+ svn add ...
+
+ # get list of files to remove:
+ diff -qr . /home/ftp/tex-archive/graphics/asymptote/ | egrep -v '\.svn|gc-'
+ svn rm ...
+ svn commit -m"asy $ver" . ../README
+ exit $?
+
+#
+elif test "x$1" = x--build; then
+ # this part is about building the i386-linux asymptote on tug.org.
+ # Despite all the dire warnings above, this part actually can be run
+ # as a script, because it's so often necessary to run and rerun and
+ # rerun the build.
+ set -e
+ PATH=/usr/bin:/bin:/sbin; export PATH # system gcc for sake of shared libs
+ unset GREP_OPTIONS
+
+ cd /home/texlive/karl/Build/source/utils/asymptote
+ /usr/local/bin/svn update
+ /usr/local/bin/svn revert asy-keywords.el
+ mv .svn dot.svn
+ if test -f Makefile; then
+ make clean
+ rm -f Makefile config.h config.log config.status errors.temp
+ rm -rf autom4te.cache
+ fi
+ rm -rf /tmp/ainst
+ sh configure --with-latex=/tmp/ainst/latex --with-context=/tmp/ainst/context\
+ --enable-texlive-build --prefix=/tmp/ainst CFLAGS=-g
+ nice make
+ make install-prebuilt
+ strip /tmp/ainst/bin/asy
+ mv dot.svn .svn
+ exit $?
+
+
+#
+elif false && $update_runtime_from_ainst; then
+ # this part is about copying the results of a successful build
+ # and install (from the previous section) into the Master/texmf runtime.
+ cp="cp -af"
+
+ xu=$B/source/utils/asymptote
+ cd $xu
+ cp binaries/i386-win32/texlive/asy.exe $cb/
+ cp binaries/i386-win32/texlive/asy.exe $pg/asymptote/
+
+ cd /tmp/ainst
+ $cp share/info/{*/,}*.info $xmf/doc/info
+ $cp share/man/man1/asy.1 $xmf/doc/man/man1/asy.1
+ $cp share/man/man1/xasy.1x $xmf/doc/man/man1/xasy.1
+ $cp -r share/doc/asymptote $xmf/doc
+
+ $cp -r share/asymptote $xmf
+
+ $cp latex/asymptote/* $xmf/tex/latex/asymptote/
+
+ ci="$xu/README $xu/asymptote \
+ $cb \
+ $pg/asymptote/ \
+ $xmf/asymptote/ \
+ $xmf/doc \
+ $xmf/tex/latex/asymptote"
+
+ svn status $ci | sed -n 's/^\?//p'
+ #svn add ...
+
+ diff -qr share/asymptote/ /home/texlive/karl/Master/texmf/asymptote/ | fgrep -v .svn
+ #svn rm ...
+
+ diff -qr share/doc/asymptote/ /home/texlive/karl/Master/texmf/doc/asymptote/ | fgrep -v .svn
+ #svn rm ...
+
+ scom -m"asymptote $ver" $ci
+fi